@echo off
set NODE=%1
SET VID=D:\ROBOBBS\VID
SET MBU=D:\FD\MBUTIL\MBUTIL.CTL 6
SET ROBO=D:\ROBOBBS
d:
cd\util
rem MODE COM1:38400,N,8,1,TO=OFF,XON=OFF,IDSR=OFF,ODSR=OFF,OCTS=ON,DTR=ON,RTS=ON
rem MODE COM1:BAUD=38400 PARITY=N DATA=8 STOP=1 to=off xon=off odsr=off dtr=on rts=on idsr=off
rem D:\UTIL\BNU.COM /L0:38400,8N1 /P=1 /T:256 /R:2048 /M
X00 E 1 B,0,38400 F=15 T=512 R=2048

:TOP
        cls
        D:
        cd\robobbs
        if exist CHK_MAIL.NOW del CHK_MAIL.NOW
        E:
        cd\dgames\bre
        if exist inuse.flg del inuse.flg
        d:
        cd\FD
        echo Firing up THE SNAKE PIT!
        FD
        cd\robobbs

        if errorlevel 255 goto DONE
        if errorlevel 250 ROBOGR -baud=19200 -txt=%NODE%
        if errorlevel 245 ROBOGR -baud=16800 -txt=%NODE%
        if errorlevel 240 ROBOGR -baud=14400 -txt=%NODE%
        if errorlevel 237 ROBOGR -baud=12000 -txt=%NODE%
        if errorlevel 235 ROBOGR -baud=9600 -txt=%NODE%
        if errorlevel 230 ROBOGR -baud=4800 -txt=%NODE%
        if errorlevel 225 ROBOGR -baud=2400 -txt=%NODE%
        if errorlevel 220 ROBOGR -baud=1200 -txt=%NODE%
        if errorlevel 215 ROBOGR -baud=14400 -txt=%NODE%

        if errorlevel 210 goto FAX
        if errorlevel 172 goto LOCAL
        if errorlevel 60 goto MAIL
        if errorlevel 50 goto MAINTENANCE
        if exist D:\robobbs\mail\%node%-*.RLR D:\Xpress\FixLrp
        if exist CHK_MAIL.NOW goto MAIL_OUT
        IF EXIST D:\XPRESS\$ECHO.SEM GOTO MAIL_OUT
        IF EXIST D:\XPRESS\$NET.SEM GOTO MAIL_OUT
        IF EXIST D:\XPRESS\$ECHONET.SEM GOTO MAIL_OUT
        IF EXIST D:\FD\IN\*.GIF GOTO GIF_MOVE


        goto TOP

:LOCAL
        ROBOGR -local
        if exist CHK_MAIL.NOW goto MAIL_OUT
        goto TOP

:FAX
        d:
        cd\fd\zfax
        refax /p:0 /w:d:\fd\zfax\in
        goto TOP

:MAIL_OUT
        cd\FD
        FMAIL SCAN /E
        DEL D:\XPRESS\*.SEM > NUL
        goto TOP

:MAIL
        SET TZ=EST6
        CD\FD\TICK
        TICK >> D:\LOG\TICK.LOG
        cd\FD
        FMAIL TOSS /B
        CD\FD
        IF EXIST D:\FD\IN\FNEWS*.* GOTO KILLNEWS
        IF EXIST D:\FD\IN\NODEDIFF.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\WORLDNET.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\CANDYNET.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\IBMLIST.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\THENET.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\ROBONET.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\ROBO-NET.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\ROBOBETA.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\PIXLIST.* GOTO NODEDIFF
        IF EXIST D:\FD\IN\EROSLIST.* GOTO NODEDIFF
        goto TOP

:MAINTENANCE
        cd\
        cd\FD\mbutil
        Mbutil Sort -Pack
        Mbutil Link -Clean
        Mbutil Purge -Days 7 -Rcvd -Msgs 300
        Mbutil Pack -Force -Renumber
        E:
        cd\dgames\st_fight
        maint
        D:
        goto TOP

:KILLNEWS
        D:
        CD\FD\IN
        DEL FNEWS*.* > NUL
        GOTO TOP

:GIF_MOVE
        D:
        CD\FD\IN
        MOVEIT *.GIF E:\NEWGIF
        GOTO TOP

:NODEDIFF
        D:
        CD\FD\IN
        MOVEIT NODEDIFF.* D:\FD\NODE > NUL
        MOVEIT WORLDNET.* D:\FD\NODE > NUL
        MOVEIT CANDYNET.* D:\FD\NODE > NUL
        MOVEIT IBMLIST.* D:\FD\NODE > NUL
        MOVEIT THENET.* D:\FD\NODE > NUL
        MOVEIT ROBONET.* D:\FD\NODE > NUL
        MOVEIT ROBO-NET.* D:\FD\NODE > NUL
        MOVEIT ROBOBETA.* D:\FD\NODE > NUL
        MOVEIT PIXLIST.* D:\FD\NODE > NUL
        MOVEIT EROSLIST.* D:\FD\NODE > NUL
        CD\FD\NODE
        EDITNL
        CD\FD
        FDNC
        GOTO TOP

:DONE
        cd\FD
        echo ROBO-BOARD Exited.               
